org.apache.mina.coap

## Enum MessageType

- java.lang.Object
- - java.lang.Enum<MessageType>
  - - org.apache.mina.coap.MessageType

All Implemented Interfaces:
  Serializable, Comparable<MessageType>

    public enum MessageType
    extends Enum<MessageType>

Type of CoAP message :

- CONFIMABLE : need to be confirmed by a ACK
- NON_CONFIRMABLE : fire and forget message
- ACK : confirmation of a CONFIRMABLE message
- RESET : to reset the session (see the RFC for details)

Author:
  Apache MINA Project

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ACK`
`CONFIRMABLE`
`NON_CONFIRMABLE`
`RESET`

### Method Summary

Methods
`static MessageType` `fromCode(int code)` Find the `MessageType` for the given value code (`null` if not found)
`int` `getCode()`
`static MessageType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MessageType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONFIRMABLE

    public static final MessageType CONFIRMABLE

#### NON_CONFIRMABLE

    public static final MessageType NON_CONFIRMABLE

#### ACK

    public static final MessageType ACK

#### RESET

    public static final MessageType RESET

### Method Detail

#### values

    public static MessageType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MessageType c : MessageType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MessageType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getCode

    public int getCode()

Returns:
  the numeric code for this message type

#### fromCode

    public static MessageType fromCode(int code)

Find the `MessageType` for the given value code (`null` if not found)